#ifndef TOOLS_H
#define TOOLS_H

#define DEBUGMACRO QString(__FILE__) + "->" + QString(Q_FUNC_INFO) + ": " + QString::number(__LINE__) + " -"

#define IPV4 0
#define IPV6 1

#include <QHostAddress>
#include <QString>
#include <QTranslator>
#include "mainwindow.h"

using namespace std;

bool testRsyncReturn(MainWindow *, QProcess *);
QString getFileType(QString filename);
int whatIpVersion(QString server);
void warning(QString message);
void error(QString message);
void info(QString debugHeader, QString message);
QString preparePath(QString path);
QHostAddress searchHosts(QString server);

#endif // TOOLS_H
